Skip to main content
`Ctrl`+`K`

# KSPCheckPCMPI

Checks if `-mpi_linear_solver_server` is active and the `PC` should be changed to `PCMPI`

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PETSC_INTERN PetscErrorCode KSPCheckPCMPI(KSP ksp)

Collective, No Fortran Support

## Input Parameter

- ksp - iterative solver obtained from `KSPCreate()`

## See Also

KSP: Linear System Solvers, `KSPSetPC()`, `KSP`, `PCMPIServerBegin()`, `PCMPIServerEnd()`

## Level

developer

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages